## projectcenter.app 0.6.0

=== debian/changelog ===
projectcenter.app (0.6.0-2build1) raring; urgency=low

  * Rebuild for gnustep-gui 0.22 transition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 16:50:49 +0100

projectcenter.app (0.6.0-2) unstable; urgency=low

  * debian/patches/05_link-libs.dpatch: Rename as...
  * debian/patches/link-libs.patch: ...and remove dpatch header.
  * debian/patches/gui-0.22.patch: New; fixes FTBFS with gnustep-gui/0.22
    (Closes: #674920).
  * debian/patches/00list: Rename as...
  * debian/patches/series: ...and update.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/README.source: Delete; redundant.
  * debian/control (Build-Depends): Remove dpatch.  Add dpkg-dev (>=
    1.16.1~), for hardening support.
    (Recommends): Add gdb.
    (Vcs-Arch): Replace with...
    (Vcs-Git): Since the package is now maintained with Git.
    (Vcs-Browser): New field.
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/rules: Don't include /usr/share/dpatch/dpatch.make.  Remove
    patch/unpatch dependencies.  Enable hardening.
    (binary-arch): Remove GS_USE_FHS conditional.
  * debian/preinst: Delete; no longer needed.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 04 Jun 2012 19:47:30 +0300

projectcenter.app (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Add myself to uploaders.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 08 Feb 2011 14:48:25 +0100

projectcenter.app (0.5.3~20100601-2) unstable; urgency=high

  * debian/preinst: Explicitly delete Resources from the app bundle to
    make the new FHS_ME_HARDER implementation actually work for upgrades;
    otherwise they break badly since Resources remains a dangling symlink
    at the time dpkg replaces moved files (Closes: #585978).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 15 Jun 2010 14:21:38 +0300

projectcenter.app (0.5.3~20100601-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Set to 7.
  * debian/control (Section): Change to `gnustep'.
    (Build-Depends): Require debhelper >= 7, remove version constraints
    for libgnustep-gui-dev (obsolete).
    (Depends): Add ${gnustep:Depends}.
    (Standards-Version): Compliant with 3.8.4 as of this release.
    (Vcs-Arch): New field.
    (Description): Do not praise NextStep.
  * debian/rules: Export GNUSTEP_MAKEFILES and get rid of gs_make.
    (OPTFLAG): No longer define; rework noopt handling to be compatible
    with gnustep-make/2.4.x (Closes: #581976).
    (build-stamp): Pass GDB=/usr/bin/gdb for the PCDefaultDebugger
    define.
    (install): Replace dh_clean -k with dh_prep.
    (binary-arch): Adjust dh_installchangelogs' argument.  Rework the
    FHS_ME_HARDER snippet; PC's supporting executables are no longer
    installed as Bundles.
  * debian/patches/05_link-libs.dpatch: Update; the fix was merged
    upstream, but now -lm is required as well.
  * debian/patches/10_bundles-install-dir.dpatch: Remove; obsolete with
    the new way of FHS-compliance handling.
  * debian/links: Delete; no longer needed.
  * debian/menu: Adjust command.
  * debian/source/format:
  * debian/README.source:
  * debian/preinst: New file.
  * debian/copyright: Bump copyright years, add more upstream authors.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 03 Jun 2010 16:04:52 +0300

projectcenter.app (0.5.0~20080704-1) unstable; urgency=low

  [ Gürkan Sengün ]
  * GNUstep transition.
    + Updated debian/rules.
  * debian/copyright: Fix indentation.
  * debian/compat: Bump version, no changes needed.
  * Added a desktop file.

  [ Yavor Doganov ]
  * New upstream snapshot of the pending 0.5.0 release; contains important
    bugfixes and generally much more stable than 0.4.3.  This also makes
    it compliant with the current layout and Closes: #443676.
  * Adopt package; set the GNUstep team as maintainer and add myself to
    Uploaders (Closes: #453429).
  * debian/control (Build-Depends): Drop gnustep-make and add dpatch; wrap
    them.  Bump libgnustep-gui-dev to >= 0.14.0.  Add imagemagick.
    (Standards-Version): Declare compliance to 3.8.0; no changes needed.
    (Homepage): Add.
    (Depends): Add ${misc:Depends}.
    (Conflicts, Replaces): Remove; not needed for Etch->Lenny upgrade.
    (Recommends): Add libgnustep-gui-dev (Closes: #443666).
  * debian/dirs: Delete.
  * debian/watch: Make it work; prepend `opts=pasv'.
  * debian/rules: Include /usr/share/dpatch/dpatch.make and adjust all
    rules accordingly.
    (PACKAGE, GNUSTEP_MAKEFILES): Do not define.
    (d_app, LDFLAGS): Define.
    (OPTFLAG): Define conditionally, support for `noopt'.
    (build-stamp): Pass LDFLAGS, OPTFLAG, messages=yes and
    DO_LIB_LINK=yes.  Use gs_make (Closes: #451460, #471755).  Convert the
    app icon in XPM format.
    (clean-patched): Delete the generated icon.
    (install): Pass messages=yes and install the ProjectCenter private
    library in /usr/lib/projectcenter.app.  Do not invoke dh_installdirs.
    Do not install the overrides file.  Install the XPM icon in
    /usr/share/pixmaps.
    (binary-arch): Remove call to dh_makeshlibs and parameter to
    dh_shlibdeps.  Invoke gsdh_gnustep and move Resources to /usr/share.
    Install the manpage.
  * debian/overrides: Delete.
  * debian/patches/05_link-libs.dpatch: New; link the ProjectCenter
    library against the libs it uses symbols from.
  * debian/patches/10_bundles-install-dir.dpatch: New; install all bundles
    in /usr/lib/GNUstep/Bundles/ProjectCenter.
  * debian/patches/00list: Create.
  * debian/docs: Remove Changelog-1, README and README.contributors; the
    latter two redundant and not accurate.
  * debian/links: New file; create symlinks for all the bundles.
  * debian/copyright: License is now GPLv3 or later.
  * debian/menu: Add `icon' and kill `description'.
  * debian/ProjectCenter.desktop: Correct the `Categories' field and add
    `Comment' and `Icon'.
  * debian/ProjectCenter.1: New file.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 06 Jul 2008 19:21:14 +0300


