=== debian/control ===
Source: projectcenter.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>, Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7),
	       dpkg-dev (>= 1.16.1~),
	       libgnustep-gui-dev,
	       imagemagick
Vcs-Git: git://git.debian.org/pkg-gnustep/projectcenter.app.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/projectcenter.app.git
Standards-Version: 3.9.3
Homepage: http://gnustep.org/experience/ProjectCenter.html

Package: projectcenter.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: gorm.app,
	    gdb,
	    libgnustep-gui-dev
Description: IDE for GNUstep Development
 ProjectCenter is an integrated development environment (IDE) for
 GNUstep systems.  It is a clone of the ProjectBuilder application for
 NextStep, which became popular for its ease of use and speed of
 development.
