## projectcenter.app 0.6.1

=== debian/changelog ===
projectcenter.app (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/gui-0.22.patch: Remove; fixed upstream.
  * debian/patches/gui-0.24.patch: New; adapt to the current GNUstep
    (Closes: #749764).
  * debian/patches/series: Update.
  * debian/copyright: Update copyright years, point to GPL-3.  Switch to
    format 1.0.
  * debian/compat: Set to 9.
  * debian/control (Build-Depends): Remove dpkg-dev.  Require
    libgnustep-gui-dev >= 0.24 and debhelper >= 9.
    (Vcs-Git): Use the canonical URI.
    (Standards-Version): Compliant with 3.9.6 as of this release.
  * debian/rules: Rewrite for modern dh.
  * debian/install:
  * debian/manpages: New file.
  * debian/ProjectCenter.desktop: Add Keywords field.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 21 Oct 2014 14:27:49 +0300
