=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Yavor Doganov <yavor@gnu.org>, Gürkan Sengün <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 7),
-	       dpkg-dev (>= 1.16.1~),
-	       libgnustep-gui-dev,
+Build-Depends: debhelper (>= 9),
+	       libgnustep-gui-dev (>= 0.24),
 	       imagemagick
-Vcs-Git: git://git.debian.org/pkg-gnustep/projectcenter.app.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnustep/projectcenter.app.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/projectcenter.app.git
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://gnustep.org/experience/ProjectCenter.html
 
 Package: projectcenter.app
@@ -25,4 +24,3 @@
  GNUstep systems.  It is a clone of the ProjectBuilder application for
  NextStep, which became popular for its ease of use and speed of
  development.
-
