## projectcenter.app 0.6.2

=== debian/changelog ===
projectcenter.app (0.6.2-1ubuntu4) bionic; urgency=medium

  * No-change rebuild for gnustep-gui soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 05:47:36 +0000

projectcenter.app (0.6.2-1ubuntu3) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:26:10 +0000

projectcenter.app (0.6.2-1ubuntu2) artful; urgency=medium

  * Revert PIE changes for the latest dpkg.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 30 Apr 2017 09:57:30 +0530

projectcenter.app (0.6.2-1ubuntu1) zesty; urgency=medium

  * Disable PIE during build for now on all archs.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 15 Feb 2017 16:18:15 +0530

projectcenter.app (0.6.2-1) unstable; urgency=medium

  [ Gürkan Myczko ]
  * New upstream release.
  * Bump standards version to 3.9.8.
  * Update my name.
  * Drop gui-0.24.patch, no more needed.

  [ Axel Beckert ]
  * Switch Vcs-* headers to https:// and cgit.
  * Enable all hardening build flags.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 20 Jan 2017 04:02:17 +0100
