=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: projectcenter.app
 Section: gnustep
 Priority: optional
-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
-Uploaders: Yavor Doganov <yavor@gnu.org>, Gürkan Sengün <gurkan@phys.ethz.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
+Uploaders: Yavor Doganov <yavor@gnu.org>, Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 9),
 	       libgnustep-gui-dev (>= 0.24),
 	       imagemagick
-Vcs-Git: git://anonscm.debian.org/pkg-gnustep/projectcenter.app.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/projectcenter.app.git
-Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/projectcenter.app.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnustep/projectcenter.app.git
+Standards-Version: 3.9.8
 Homepage: http://gnustep.org/experience/ProjectCenter.html
 
 Package: projectcenter.app
