=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 optim := debug=yes
 endif
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --parallel
