## projectcenter.app 0.6.2%2Bgit20190606

=== debian/changelog ===
projectcenter.app (0.6.2+git20190606-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:49 +0100

projectcenter.app (0.6.2+git20190606-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 10 Aug 2019 18:25:52 +0200

projectcenter.app (0.6.2+git20190606-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 06 Jun 2019 15:29:04 +0200

projectcenter.app (0.6.2-2) unstable; urgency=medium

  * Bump debhelper version to 11.
  * Bump standards version to 4.2.1.
  * debian/menu: dropped.
  * debian/control: updated Vcs links.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Sep 2018 18:54:21 +0200
