## projectcenter.app 0.6.2+git20190606

=== debian/control ===
Source: projectcenter.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>, Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11),
	       libgnustep-gui-dev (>= 0.24),
	       imagemagick
Vcs-Git: https://salsa.debian.org/gnustep-team/projectcenter.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/projectcenter.app
Standards-Version: 4.2.1
Homepage: http://gnustep.org/experience/ProjectCenter.html

Package: projectcenter.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: gorm.app,
	    gdb,
	    libgnustep-gui-dev
Description: IDE for GNUstep Development
 ProjectCenter is an integrated development environment (IDE) for
 GNUstep systems.  It is a clone of the ProjectBuilder application for
 NextStep, which became popular for its ease of use and speed of
 development.
