=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	$(MAKE) $(optim) messages=yes DO_LIB_LINK=yes GDB=/usr/bin/gdb \
