## projectcenter.app 0.7.0

=== debian/changelog ===
projectcenter.app (0.7.0-2build2) questing; urgency=medium

  * Rebuild against latest gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 08:36:44 -0400

projectcenter.app (0.7.0-2build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 18:53:10 +0100

projectcenter.app (0.7.0-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Jul 2024 18:31:47 +0000

projectcenter.app (0.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 0.5.0~20080704-1.

  [ Yavor Doganov ]
  * New upstream release.
  * debian/patches/link-libs.patch: Remove; obsolete.
  * debian/patches/series: Delete.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed.
    (optim): Do not define; already done in gnustep-make.
    (override_dh_auto_build): Use dh_auto_build, pass $(verbose).  Do not
    create an XPM icon.
    (override_dh_clean): Remove override.
    (override_dh_auto_install): Use dh_auto_install.
    (override_dh_link): Create a PNG icon for the .desktop file.  Create
    symlinks for the bundles' images in each resource directory otherwise
    the bundle cannot find/load them.
  * debian/install: Do not install the XPM icon.
  * debian/ProjectCenter.desktop: Use the PNG icon.
  * debian/control (Uploaders): Update Gürkan's address.
    (Build-Depends): Remove ancient libgnustep-gui-dev version constraint.
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Compliant with 4.6.2.
  * debian/docs: Remove ANNOUNCE (old) and SCHEME (uninteresting).
  * debian/watch: Bump version to 4.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Feb 2023 18:13:26 +0200
