=== debian/watch ===
version=4
opts=pasv \
ftp://ftp.gnustep.org/pub/gnustep/dev-apps/ProjectCenter-(.*)\.tar\.gz
